<?php

/**
 * Class VueAppellation
 */
class VueAppellation
{

    /**
     * production d'une string contenant un tableau HTML représentant un livre
     * @param Appellation 
     * @return string
     */
    public function getHTML4OAppellation(Appellation $Appellation): string
    {
        $ch = "<table border='1'>
        <tr><th>id_Appellation</th><th>nom_Appellation</th></tr><tr>\n";
        $ch .= "<tr><td>" . $Appellation->getIdAppellation() . "</td>\n";
        $ch .= "<td>" . $Appellation->getNomAppellation() . "</td>\n";
        $ch .= "<td>" . $Appellation->getCategorieAppellation() . "</td>\n";
        $ch.= "</tr></table>\n";
        return $ch;
    }

    /**
     * production d'une string contenant un formulaire HTML
     * destiné à saisir une nouvelle Appellation ou a en modifier une
     * @param array $assoc
     * @return string
     */
    public function getFormulaire4OAppellation(array $assoc): string
    {
        $ch = "<form action='".$_SERVER['PHP_SELF']."' method='GET'>\n";
        foreach ($assoc as $col => $val) {
            if (is_array($val)) {
                $ch .= "$col : <input name='$col' type='".$val['type']
                    ."' value='".$val['default']."' />\n";
            }
            else
                $ch .= "$col : <input type='$val' name='$col' />\n";
        }
        $ch .= "<input type='submit' name='Valider' value='Sauver'/>\n";


        return $ch."</form>\n";
    }

    /**
     * production d'une string contenant une liste HTML représentant un ensemble de livres
     * et permettant de les modifier ou de les supprimer grace à un lien hypertexte
     * @param Appellation $tabEntiteAppellation un tableau d'instances d'EntiteLivre
     * @return string
     */
    public function getAllAppellation(array $tabEntiteAppellation): string
    {
        $ch = "<ul>\n";
        foreach ($tabEntiteAppellation as $Appellation) {
            if ($Appellation instanceof Appellation) {
                $ch .= "<li>".$Appellation->getIdAppellation()." ";
                $ch .= $Appellation->getNomAppellation()." ";
                $ch .= $Appellation->getCategorieAppellation()." ";
                $ch .= "<a href='?action=update&id_Appellation=".$Appellation->getIdAppellation()."'>Modifier</a> ";
                $ch .= "<a href='?action=delete&id_Appellation=".$Appellation->getIdAppellation()."'>Supprimer</a> ";
                $ch .= "</li>\n";
            }
        }
        return $ch."</ul>\n";
    }


}

